From: "Jakov Smolić" <jsmolic@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/frr/
Date: Sat, 28 Aug 2021 09:12:16 +0000 (UTC) [thread overview]
Message-ID: <1630141243.718df6bcd46aff59f597c3e20d6cf841de79833b.jsmolic@gentoo> (raw)
commit: 718df6bcd46aff59f597c3e20d6cf841de79833b
Author: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 28 09:00:43 2021 +0000
Commit: Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Sat Aug 28 09:00:43 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=718df6bc
net-misc/frr: Version bump to 8.0.1
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>
net-misc/frr/Manifest | 1 +
net-misc/frr/frr-8.0.1.ebuild | 149 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 150 insertions(+)
diff --git a/net-misc/frr/Manifest b/net-misc/frr/Manifest
index 4d5d97d69a7..543eebebd45 100644
--- a/net-misc/frr/Manifest
+++ b/net-misc/frr/Manifest
@@ -1,2 +1,3 @@
DIST frr-7.5.1.tar.gz 6746148 BLAKE2B e6a8d38bac1323852d933ca9eaac681df8824407af008bb0170937a01564b3fb9fb081418630b7540f3ccdb899ac0948121d63accfa65ae0fd3fd6933fdafd6d SHA512 cf20316abd39a2d96bb377bd594464ae74c20ad70c60246409fe9f04f0177fcd8891a8da54d83bee962f589a00e71f7b51e78f9729c8680e6265ddd548e0464e
+DIST frr-8.0.1.tar.gz 8206852 BLAKE2B ed23f62457877fb3173977e1b7092c808adc5d5bd9b1d83747ac42573117adc38865abd1e722073532800f543978e5d67ba7c88416a4335c72bd6b8a3045ff5a SHA512 d9a9ee3b40bf0271779765447c67da817551b5bf2d5d1e9f8073fb4596c622e013fbf7316ca39087db7b7f478b18d07f1fd06f1778abde2734c83112573d5f8f
DIST frr-8.0.tar.gz 8195258 BLAKE2B 75d8d4410a5377dae3bf6938c3b095b163ad87776420a16c07d461bb3f635d623de642fa0ae483094788369c9dc6a04d5424107bf60c848ac54756c4bdb20c97 SHA512 fdf1e68c16e266a74221fb194851ef47c888e90324de2e42a4ca68b9dbce1ba6f45d73b9830bdb17774ecdde736111fa562201a5763c49092b6ce1f0a4d4865a
diff --git a/net-misc/frr/frr-8.0.1.ebuild b/net-misc/frr/frr-8.0.1.ebuild
new file mode 100644
index 00000000000..2f581241e3e
--- /dev/null
+++ b/net-misc/frr/frr-8.0.1.ebuild
@@ -0,0 +1,149 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit autotools pam python-single-r1 systemd
+
+DESCRIPTION="The FRRouting Protocol Suite"
+HOMEPAGE="https://frrouting.org/"
+SRC_URI="https://github.com/FRRouting/frr/archive/${P}.tar.gz"
+# FRR tarballs have weird format.
+S="${WORKDIR}/frr-${P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc fpm grpc ipv6 kernel_linux nhrp ospfapi pam rpki snmp systemd test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ acct-user/frr
+ dev-libs/json-c:0=
+ >=net-libs/libyang-2.0.0
+ sys-libs/libcap
+ sys-libs/readline:0=
+ virtual/libcrypt:=
+ grpc? ( net-libs/grpc:= )
+ nhrp? ( net-dns/c-ares:0= )
+ pam? ( sys-libs/pam )
+ rpki? ( >=net-libs/rtrlib-0.6.3[ssh] )
+ snmp? ( net-analyzer/net-snmp:= )
+"
+BDEPEND="
+ ~dev-util/clippy-${PV}
+ sys-devel/flex
+ virtual/yacc
+ doc? ( dev-python/sphinx )
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ test? ( $(python_gen_cond_dep 'dev-python/pytest[${PYTHON_USEDEP}]') )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ $(python_gen_cond_dep 'dev-python/ipaddr[${PYTHON_USEDEP}]')
+ !net-misc/quagga
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-7.5-ipctl-forwarding.patch
+)
+
+src_prepare() {
+ default
+
+ python_fix_shebang tools
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ --disable-static
+ --with-pkg-extra-version="-gentoo"
+ --enable-configfile-mask=0640
+ --enable-logfile-mask=0640
+ --prefix="${EPREFIX}"/usr
+ --libdir="${EPREFIX}"/usr/lib/frr
+ --sbindir="${EPREFIX}"/usr/lib/frr
+ --libexecdir="${EPREFIX}"/usr/lib/frr
+ --sysconfdir="${EPREFIX}"/etc/frr
+ --localstatedir="${EPREFIX}"/run/frr
+ --with-moduledir="${EPREFIX}"/usr/lib/frr/modules
+ --with-clippy="${BROOT}"/usr/bin/clippy
+ --enable-exampledir="${EPREFIX}"/usr/share/doc/${PF}/samples
+ --enable-user=frr
+ --enable-group=frr
+ --enable-vty-group=frr
+ --enable-multipath=64
+ $(use_enable doc)
+ $(use_enable fpm)
+ $(use_enable grpc)
+ $(use_enable ipv6 ospf6d)
+ $(use_enable ipv6 ripngd)
+ $(use_enable ipv6 rtadv)
+ $(use_enable kernel_linux realms)
+ $(use_enable nhrp nhrpd)
+ $(usex ospfapi '--enable-ospfclient' '' '' '')
+ $(use_enable rpki)
+ $(use_enable snmp)
+ $(use_enable systemd)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ default
+
+ use doc && emake -C doc html
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+
+ # Install user documentation if asked
+ use doc && dodoc -r doc/user/_build/html
+
+ # Create configuration directory with correct permissions
+ keepdir /etc/frr
+ fowners frr:frr /etc/frr
+ fperms 775 /etc/frr
+
+ # Create logs directory with the correct permissions
+ keepdir /var/log/frr
+ fowners frr:frr /var/log/frr
+ fperms 775 /var/log/frr
+
+ # Install the default configuration files
+ insinto /etc/frr
+ doins tools/etc/frr/vtysh.conf
+ doins tools/etc/frr/frr.conf
+ doins tools/etc/frr/daemons
+
+ # Fix permissions/owners.
+ fowners frr:frr /etc/frr/vtysh.conf
+ fowners frr:frr /etc/frr/frr.conf
+ fowners frr:frr /etc/frr/daemons
+ fperms 640 /etc/frr/vtysh.conf
+ fperms 640 /etc/frr/frr.conf
+ fperms 640 /etc/frr/daemons
+
+ # Install logrotate configuration
+ insinto /etc/logrotate.d
+ newins redhat/frr.logrotate frr
+
+ # Install PAM configuration file
+ use pam && newpamd "${FILESDIR}"/frr.pam frr
+
+ # Install init scripts
+ systemd_dounit tools/frr.service
+ newinitd "${FILESDIR}"/frr-openrc-v1 frr
+
+ # Conflict files, installed by net-libs/libsmi, bug #758383
+ rm "${ED}"/usr/share/yang/ietf-interfaces.yang || die
+}
next reply other threads:[~2021-08-28 9:12 UTC|newest]
Thread overview: 58+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-08-28 9:12 Jakov Smolić [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-01 16:56 [gentoo-commits] repo/gentoo:master commit in: net-misc/frr/ Andreas K. Hüttel
2024-10-07 3:27 Eli Schwartz
2024-10-07 2:40 Sam James
2024-10-07 2:40 Sam James
2024-10-04 8:13 Sam James
2024-10-04 8:13 Sam James
2024-10-04 8:13 Sam James
2024-10-04 8:13 Sam James
2024-05-28 22:01 Sam James
2024-04-23 8:53 Michał Górny
2024-04-23 8:53 Michał Górny
2024-03-22 9:43 Andreas Sturmlechner
2024-03-21 5:54 Joonas Niilola
2024-02-09 13:19 Joonas Niilola
2023-12-27 0:20 Jakov Smolić
2023-10-11 21:07 Jakov Smolić
2023-10-11 21:07 Jakov Smolić
2023-08-27 11:19 Jakov Smolić
2023-08-27 10:39 Jakov Smolić
2023-07-14 13:32 Jakov Smolić
2023-07-14 13:32 Jakov Smolić
2023-07-11 14:02 Jakov Smolić
2023-05-05 6:23 Jakov Smolić
2023-04-04 8:07 Jakov Smolić
2023-04-03 7:33 Jakov Smolić
2023-03-29 14:36 Sam James
2023-03-29 14:36 Sam James
2023-03-14 8:02 Sergey Popov
2023-02-09 17:51 Sergey Popov
2022-12-08 13:15 Sergey Popov
2022-10-18 0:51 Sam James
2022-05-30 13:53 Jakov Smolić
2022-05-30 6:58 Agostino Sarubbo
2022-05-28 15:58 Jakov Smolić
2022-04-27 22:23 Jakov Smolić
2022-02-02 9:35 Sergey Popov
2022-01-04 10:30 David Seifert
2021-12-12 18:01 Jakov Smolić
2021-12-12 17:58 Jakov Smolić
2021-12-12 17:58 Jakov Smolić
2021-11-11 15:14 Jakov Smolić
2021-11-11 10:56 Jakov Smolić
2021-10-14 13:38 Sergey Popov
2021-08-31 15:36 Jakov Smolić
2021-08-24 7:25 Sergey Popov
2021-08-22 21:53 David Seifert
2021-05-27 21:13 David Seifert
2021-05-15 2:21 Sam James
2021-03-30 18:27 Sam James
2021-03-30 9:31 David Seifert
2021-03-30 9:31 David Seifert
2021-03-30 9:31 David Seifert
2021-03-30 9:31 David Seifert
2021-03-26 16:49 Sam James
2021-03-26 11:37 David Seifert
2020-12-05 15:00 Sergey Popov
2020-12-04 11:53 Sergey Popov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1630141243.718df6bcd46aff59f597c3e20d6cf841de79833b.jsmolic@gentoo \
--to=jsmolic@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox